Zum Hauptinhalt springen

Change the owner contact of a domain

PUT/v2/domains/{domainId}/handles/ownerc
API-Version
v2
Request-Methode
PUT
Operation-ID
deprecated-domain-change-ownerc-of-domain

Request​

  • domainIdstringrequired

Responses​

Format
application/json
Beschreibung

OK

  • isAsyncboolean
  • transactionIdstring
Content-Type: application/json

{
"isAsync": true,
"transactionId": "string"
}
{
"properties": {
"isAsync": {
"type": "boolean"
},
"transactionId": {
"type": "string"
}
},
"type": "object"
}

Nutzungsbeispiele​

$ curl \
--fail \
--location \
-X PUT \
-d '{"ownerC":[{"name":"string","value":"string"}]}' \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
-H 'Content-Type: application/json' \
https://api.mittwald.de/v2/domains/string/handles/ownerc
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.domain.deprecatedDomainChangeOwnercOfDomain({
"domainId": "string",
"data": {
"ownerC": [
{
"name": "string",
"value": "string"
}
]
}
});

assertStatus(response, 200);

use \Mittwald\ApiClient\Generated\V2\Clients\Domain\DeprecatedDomainChangeOwnercOfDomain\DeprecatedDomainChangeOwnercOfDomainRequest;
use \Mittwald\ApiClient\Generated\V2\Clients\Domain\DeprecatedDomainChangeOwnercOfDomain\DeprecatedDomainChangeOwnercOfDomainRequestBody;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

// TODO: Please consult the properties and constructor signature of
// DeprecatedDomainChangeOwnercOfDomainRequestBody to learn how to construct a valid instance
$body = new DeprecatedDomainChangeOwnercOfDomainRequestBody(/* TODO: ... */);

$request = (new DeprecatedDomainChangeOwnercOfDomainRequest(
domainId: "string",
body: $body
));
$response = $client->domain()->deprecatedDomainChangeOwnercOfDomain($request);

var_dump($response->getBody();

Auf dieser Seite